Page MenuHomePhabricator

Collect all Navigation Timing metrics
Closed, ResolvedPublic

Description

Per https://phabricator.wikimedia.org/T104902#1494035:

Add to NavigationTiming extension and collect in Statsd-Graphite and Coal:

  • unloadEventStart / unloadEventEnd.
  • redirectStart / redirectEnd.
  • domainLookupStart / domainLookupEnd.
  • domLoading.
  • domContentLoadedEventStart / domContentLoadedEventEnd.

Also add mediaWikiLoadStart (relative to navigationStart), and change mediaWikiLoadComplete to be relative to navigationStart instead of mediaWikiLoadStart.

Alternatively, we could give them different names (e.g. mwLoadStart and mwLoadEnd). Use of performance.mark was added by 7076ee791fe3e99 as "mediaWikiStartUp". (Can be retrieved with performance.getEntriesByName?)

Details

Related Gerrit Patches:
mediawiki/extensions/NavigationTiming : masterFetch missing Navigation Timing metrics and mwLoadEnd.
mediawiki/extensions/NavigationTiming : wmf/1.26wmf21Fetch missing Navigation Timing metrics and mwLoadEnd.
operations/puppet : productionCollect missing Navigation Timing metrics
mediawiki/extensions/NavigationTiming : wmf/1.26wmf20Add domLoading property
mediawiki/extensions/NavigationTiming : masterAdd domLoading property

Event Timeline

Krinkle created this task.Aug 20 2015, 8:03 PM
Krinkle assigned this task to ori.
Krinkle raised the priority of this task from to Medium.
Krinkle updated the task description. (Show Details)
Krinkle added a project: Performance-Team.
Krinkle added subscribers: Peter, Krinkle, Aklapper, ori.
Krinkle updated the task description. (Show Details)Aug 24 2015, 6:50 PM
Krinkle set Security to None.
ori reassigned this task from ori to Peter.Aug 24 2015, 10:45 PM

Change 233870 had a related patch set uploaded (by Phedenskog):
Add domLoading property

https://gerrit.wikimedia.org/r/233870

Change 233870 merged by jenkins-bot:
Add domLoading property

https://gerrit.wikimedia.org/r/233870

Change 233871 had a related patch set uploaded (by Ori.livneh):
Add domLoading property

https://gerrit.wikimedia.org/r/233871

Change 233871 abandoned by Ori.livneh:
Add domLoading property

Reason:
(Doesn't actually need to be cherry-picked; I was just demonstrating for Phedenskog)

https://gerrit.wikimedia.org/r/233871

Peter added a comment.Aug 26 2015, 8:47 PM

@Krinkle how do we do things best: keep mediaWikiLoadComplete that holds the calculated value for the current graphs or should I just drop it now when I add the start/end?

Krinkle updated the task description. (Show Details)Aug 26 2015, 8:52 PM
Krinkle updated the task description. (Show Details)Aug 27 2015, 8:08 PM

Yeah, we can drop it. The graph for mediaWikiLoadComplete can be changed to track mwLoadEnd instead. And in addition we'll be able to add to the stacked graph where it starts.

Change 235202 had a related patch set uploaded (by Phedenskog):
Fetch missing Navigation Timing metrics and mwLoadEnd.

https://gerrit.wikimedia.org/r/235202

Change 235202 merged by jenkins-bot:
Fetch missing Navigation Timing metrics and mwLoadEnd.

https://gerrit.wikimedia.org/r/235202

Krinkle removed a project: Patch-For-Review.EditedSep 4 2015, 2:28 AM

This also needs the coal and navtiming.py collectors (listening to EventLogging, forwarding to statsd) to be updated. (mediaWikiLoadComplete no longer existing, and adding the new metrics).

Change 236024 had a related patch set uploaded (by Phedenskog):
Collect missing Navigation Timing metrics

https://gerrit.wikimedia.org/r/236024

Change 236024 merged by Ori.livneh:
Collect missing Navigation Timing metrics

https://gerrit.wikimedia.org/r/236024

Change 236837 had a related patch set uploaded (by Krinkle):
Fetch missing Navigation Timing metrics and mwLoadEnd.

https://gerrit.wikimedia.org/r/236837

Change 236837 merged by jenkins-bot:
Fetch missing Navigation Timing metrics and mwLoadEnd.

https://gerrit.wikimedia.org/r/236837

Krinkle closed this task as Resolved.Sep 8 2015, 5:22 PM

This is now deployed.